{
  "name": "ts-for-gir-soup-3-http-example",
  "version": "3.2.6",
  "description": "GJS example showing how to build a http server/client using Soap 3",
  "main": "index.js",
  "type": "module",
  "private": true,
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build:types": "yarn ts-for-gir generate Soup-3.0 --generateAlias",
    "build:app": "yarn node esbuild.js",
    "build": "yarn build:types && yarn build:app",
    "start:server": "gjs -m dist/http-server.js",
    "start:client": "gjs -m dist/http-client.js",
    "debug:server": "GTK_DEBUG=interactive yarn start:server",
    "debug:client": "GTK_DEBUG=interactive yarn start:client",
    "start": "yarn build && yarn start:server",
    "validate": "yarn validate:types && yarn validate:app",
    "validate:types": "tsc --project tsconfig.json",
    "validate:app": "tsc --noEmit",
    "clear": "rm -rf dist @types"
  },
  "author": "Pascal Garber <pascal@artandcode.studio>",
  "license": "MIT",
  "devDependencies": {
    "@ts-for-gir/cli": "workspace:^",
    "esbuild": "^0.19.8",
    "typescript": "5.2.2"
  }
}
